package nckd.jimin.jyyy.hr.hrmp.hbpm.task;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class PositionTree implements Serializable
{

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 父ID */
    private Long parentId;

    /** 子节点 */
    private List<PositionTree> children = new ArrayList<>();
    private Integer level;

    public PositionTree()
    {

    }

    public PositionTree(Long id, String label, Long parentId) {
        this.id = id;
        this.label = label;
        this.parentId = parentId;
    }

    public PositionTree(PositionTree treeSelect)
    {
        this.id = treeSelect.getId();
        this.label = treeSelect.getLabel();
        this.children = treeSelect.getChildren();
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public List<PositionTree> getChildren()
    {
        return children;
    }

    public void setChildren(List<PositionTree> children)
    {
        this.children = children;
    }
}

